Bug 110928 - gnome-panel should BuildRequires: intltool, libpng-devel, scrollkeeper should PreReq: scrollkeeper
gnome-panel should BuildRequires: intltool, libpng-devel, scrollkeeper shoul...
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-panel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
David Lawrence
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-25 11:33 EST by Maxim Dziumanenko
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.5.91-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-02 09:38:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-25 11:33:28 EST
Description of problem:
1. AC_PROG_INTLTOOL macro (provided by /usr/share/aclocal/intltool.m4
from intltool package) needed by autoconf in %prep section of spec file
2. libpng headers and development librarties needed to build
gnome-panel (see configure.in)
3. scrollkeeper needed to build gnome-panel
4. scrollkeeper-update needed in %prep and %postun scripts to
register/unregister gnome-panel documentation in scrollkeeper
database, thus gnome-panel should 'PreReq: scrollkeeper' too

Version-Release number of selected component (if applicable):
gnome-panel-2.4.0-3

How reproducible:
Always

Steps to Reproduce:
1.rpm -e intltool libpng-devel scrollkeeper
2.rpmbuild --rebuild gnome-panel-2.4.0-3.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:
Comment 1 Miloslav Trmac 2003-11-25 12:16:58 EST
Triage->Easyfix
Comment 2 Leonard den Ottolander 2004-02-23 19:46:30 EST
The test update to gnome-panel-2.4.2-1 does not solve this issue yet.
Don't rush to push to the main tree. You don't want to do many updates
to the main tree in a short time.
Comment 3 Mark McLoughlin 2004-03-02 09:38:33 EST
Fixed in Raw Hide
Comment 4 Leonard den Ottolander 2004-03-02 10:22:03 EST
Hey Mark, why didn't you fix this for FC 1 as well?

Note You need to log in before you can comment on or make changes to this bug.